
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "subper_class/version"

Gem::Specification.new do |spec|
  spec.name          = "subper_class"
  spec.version       = SubperClass::VERSION
  spec.authors       = ["n_takahashi"]
  spec.email         = ["jin.noc.sub@icloud.com"]

  spec.summary       = %q{subper_class allow aubclass behave like superclass.}
  spec.description   = %q{when ruby subclass use superclass method, receive superclass object.Sometimesit's not useful.
                          SubperClass allow these method receive subclass instance by only setting a class macro.}
  spec.homepage      = "https://github.com/mmmmmavo/subper_class"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "pry", "0.11.3"
  spec.add_dependency "activesupport", "5.2.1"
end
